﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["data"] == null)
        {
            Session["data"] = getData();
        }

        this.WebDataGrid1.DataSource = Session["data"];
    }

    private DataTable getData()
    {
        DataColumn[] PrimaryColumn = new DataColumn[1];
        DataTable dt = new DataTable();
        PrimaryColumn[0] = dt.Columns.Add("ID", typeof(int));
        dt.Columns.Add("Name", typeof(string));
        dt.Columns.Add("Age", typeof(int));
        dt.Columns.Add("HomeTown", typeof(string));
        dt.Columns.Add("Value", typeof(int));
        dt.Rows.Add(1, "たかし", 28, "静岡", 50);
        dt.Rows.Add(2, "としひこ", 30, "大阪", 60);
        dt.Rows.Add(3, "じゅんこ", 27, "鳥取", 55);
        dt.Rows.Add(4, "さとみ", 28, "神奈川", 35);
        dt.Rows.Add(5, "えりこ", 50, "東京", 80);
        dt.Rows.Add(6, "しんいち", 32, "島根", 17);
        dt.Rows.Add(7, "ゆみこ", 37, "静岡", 57);
        dt.Rows.Add(8, "みな", 31, "兵庫", 33);
        dt.Rows.Add(9, "たくや", 40, "徳島", 28);
        dt.Rows.Add(10, "まゆ", 43, "三重", 79);
        dt.PrimaryKey = PrimaryColumn;

        return dt;
    }
}